<Alte::Card @type="warning">
  <Alte::Card::Header @title={{t "components.loan.credit-score.parameters.title"}} @titleIcon="flask" />
  <Alte::Card::Body>
    <BsForm @formLayout="vertical" as |form|>
      <Form::EnumRadioButtons
        @hint={{t "components.taxation.tax-shares.parameters.taxpayers-hint"}}
        @label={{t "components.taxation.tax-shares.parameters.taxpayers"}}
        @onChange={{this.setFamilyStatus}}
        @optionKey="enums.family-status."
        @options={{this.familyStatuses}}
        @value={{@parameters.familyStatus}}
      />
      <Form::EnumRadioButtons
        @hint={{t "components.taxation.tax-shares.parameters.special-status-hint"}}
        @label={{t "components.taxation.tax-shares.parameters.special-status"}}
        @onChange={{this.setSpecialStatus}}
        @optionKey="enums.tax-shares-special-status."
        @options={{@parameters.specialStatuses}}
        @value={{@parameters.specialStatus}}
      />
      <Form::Range
        @form={{form}}
        @label={{t "components.taxation.tax-shares.parameters.dependent-children"}}
        @onChange={{this.setDependentChildren}}
        @value={{@parameters.dependentChildren}}
        @valueLabelKey="components.taxation.tax-shares.parameters.children-value"
        @valueLabelKeyParam="childrenCount"
        @valueMax={{@parameters.dependentChildrenMax}}
      />
      <Form::Range
        @form={{form}}
        @label={{t "components.taxation.tax-shares.parameters.disabled-dependent-people"}}
        @onChange={{this.setDisabledDependentPeople}}
        @value={{@parameters.disabledDependentPeople}}
        @valueLabelKey="components.taxation.tax-shares.parameters.people-value"
        @valueLabelKeyParam="personCount"
        @valueMax={{@parameters.disabledDependentPeopleMax}}
      />
      <Form::Range
        @form={{form}}
        @label={{t "components.taxation.tax-shares.parameters.alternating-custody-children"}}
        @onChange={{this.setAlternatingCustodyChildren}}
        @value={{@parameters.alternatingCustodyChildren}}
        @valueLabelKey="components.taxation.tax-shares.parameters.children-value"
        @valueLabelKeyParam="childrenCount"
        @valueMax={{@parameters.alternatingCustodyChildrenMax}}
      />
      <Form::Range
        @form={{form}}
        @label={{t "components.taxation.tax-shares.parameters.disabled-alternating-custody-children"}}
        @onChange={{this.setDisabledAlternatingCustodyChildren}}
        @value={{@parameters.disabledAlternatingCustodyChildren}}
        @valueLabelKey="components.taxation.tax-shares.parameters.children-value"
        @valueLabelKeyParam="childrenCount"
        @valueMax={{@parameters.disabledAlternatingCustodyChildrenMax}}
      />
    </BsForm>
  </Alte::Card::Body>
</Alte::Card>